unit Unit1;

interface

uses
  SysUtils, Types, Classes, Variants, QGraphics, QControls, QForms, QDialogs,
  QTypes, QExtCtrls;

type
  TForm1 = class(TForm)
    Timer1: TTimer;
    procedure FormCreate(Sender: TObject);
    procedure FormPaint(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
    { Private declarations }
    fbitmap:TBitmap;
    X, Y, XR,YR:Integer;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.xfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
 fbitmap:=TBitmap.Create;
 fbitmap.LoadFromFile('Bart.bmp');
 X:=0;
 Y:=0;
 XR:=5;
 YR:=5;
end;

procedure TForm1.FormPaint(Sender: TObject);
begin
 Canvas.Brush.Color:=clWhite;
 Canvas.FillRect(ClientRect);
 Canvas.Draw(X,Y,fbitmap);
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
 X:=X+XR;
 Y:=Y+YR;

 if X<0 then XR:=5;
 if Y<0 then YR:=5;
 if X>Width-fbitmap.Width then XR:=-5;
 if Y>Height-fbitmap.Height then YR:=-5;

 Invalidate;
end;

end.
